RankSharkDocs
Notifications

List notifications

RankShark EnhanceScopenotifications:read

GET
/api/v1/notifications

Authorization

headerAuthorizationBearer <token>

An Enhance API key (rsen_…) or an OAuth 2.1 access token, as "Authorization: Bearer …".

Query Parameters

unseen?boolean

Only the unseen ones

Response Body

OK

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://panel.rankshark.io/api/v1/notifications'
Example Response
[  {    "_id": "string",    "Title": "string",    "DescriptionHtml": "string",    "MessageURL": "string",    "Date": "2019-08-24T14:15:22Z",    "Views": 0  }]